LibreOffice LibreOffice 5.3 SDK API Reference

Exported Interfaces | List of all members
GIOContentProvider Service Reference

`import"GIOContentProvider.idl";`

Inheritance diagram for GIOContentProvider:

## Exported Interfaces
interface | com::sun::star::ucb::XContentProvider

## Additional Inherited Members
Public Member Functions inherited from XContentProvider
com::sun::star::ucb::XContent | queryContent ([in] com::sun::star::ucb::XContentIdentifier Identifier) raises ( com::sun::star::ucb::IllegalIdentifierException )
| creates a new XContent instance, if the given XContentIdentifier matches a content provided by the implementation of this interface. More...
long | compareContentIds ([in] com::sun::star::ucb::XContentIdentifier Id1, [in] com::sun::star::ucb::XContentIdentifier Id2)
| compares two XContentIdentifiers. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Exported Interfaces

## ◆ com::sun::star::ucb::XContentProvider

interface com::sun::star::ucb::XContentProvider

The documentation for this service was generated from the following file:

- com/sun/star/ucb/GIOContentProvider.idl